# Add State field to Project Stages

This module restores the state fields to Project Stages, removed in Odoo 8.0.

For some use cases it‘s necessary to be able to map the multiple Stages into a few broad groups.

For example, this can allow to define automated actions and business logic for Tasks not yet “Started”, knowing that “Started” means different Stages in different Projects.

Table of contents

- Configuration
- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Configuration

You can configure stages from Project -> Configuration -> Stages

# Usage

To use this module, you need to:

1. Go to Project -> Configuration -> Stages and click on a stage
2. Select the state you would like to associate that stage with from the dropdown “State” menu
3. Save your changes
4. Go to Project -> Dashboard and click on a project
5. Click on task in the stage you just edited
6. Under the “Customer” field, you can see the “State” field for that task

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Daniel Reis

## Contributors

- Daniel Reis
- Rodrigo Ferreira <rodrigosferreira91@gmail.com>
- Anand Kansagra <kansagraanand@hotmail.com>
- Saran Lim. <saranl@ecosoft.co.th>
- Nattapol Sinsuphan<gamso321@gmail.com>
- Manuel Regidor <manuel.regidor@sygel.es>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/project project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.